禁用某个wordpress插件更新

有时候在用wordpress时,为了需求会修改某些插件,这样在后台收到更新提示的时候,某些不知情的情况下会覆盖更新了修改过的插件,这样就比较囧了.
还好在网上找到了相应的代码可以解决这个问题,感谢那些走在wordpress之路上的巨人们!

代码如下:

//禁用某个插件更新
function filter_plugin_updates( $value ) {
    unset( $value->response['watermark-reloaded/watermark-loader.php'] );
    return $value;
}
add_filter( 'site_transient_update_plugins', 'filter_plugin_updates' );

还有更加流弊的禁用全部插件更新提示的代码:

add_filter( 'pre_site_transient_update_plugins', create_function( '$a', "return;" ) );

感谢原作者:http://www.solagirl.net/disable-update-notification-for-individual-plugins.html

Share

小 虾

哦也,我是小虾

You may also like...

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据